Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIDataGrid

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.ajax4jsf.component.UIDataAdaptor
                      org.ajax4jsf.component.SequenceDataAdaptor
                          org.richfaces.component.UIDataGrid

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder

Direct Known Subclasses:
  HtmlDataGrid

    public abstract class UIDataGrid

extends org.ajax4jsf.component.SequenceDataAdaptor

JSF component class

Nested Class Summary

Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor
`org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.UIDataAdaptor
`COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`UIDataGrid()`

Method Summary
`protected java.util.Iterator<javax.faces.component.UIComponent>` | `dataChildren()`
`protected java.util.Iterator<javax.faces.component.UIComponent>` | `fixedChildren()`
`abstract int` | `getColumns()` Number of columns in one table row.
`int` | `getElements()`
`javax.faces.el.ValueBinding` | `getValueBinding(java.lang.String name)`
`javax.el.ValueExpression` | `getValueExpression(java.lang.String name)`
`abstract void` | `setColumns(int newColumns)`
`void` | `setElements(int elements)`
`void` | `setValueBinding(java.lang.String name, javax.faces.el.ValueBinding binding)`
`void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`

Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor
`createComponentState, createDataModel, getDataModel, setDataModel`

Methods inherited from class org.ajax4jsf.component.UIDataAdaptor
`addAjaxKeyEvent, addRequestKey, beforeRenderResponse, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, extractKeySegment, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, getValue, invocableChildren, invokeOnComponent, isRowAvailable, iterate, keepSaved, processDecodes, processDecodes, processUpdates, processUpdates, processValidators, processValidators, queueEvent, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, restoreState, saveChildState, saveState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValue, walk`

Methods inherited from class javax.faces.component.UIData
`getFamily, getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIDataGrid

    public UIDataGrid()

Method Detail

### getColumns

    public abstract int getColumns()

  Number of columns in one table row.

  Returns:
    the acceptClass

### setColumns

    public abstract void setColumns(int newColumns)

  Parameters:
    `newColumns` - the value to set

### setElements

    public void setElements(int elements)

### getElements

    public int getElements()

### dataChildren

    protected java.util.Iterator<javax.faces.component.UIComponent> dataChildren()

  Specified by:
    `dataChildren` in class `org.ajax4jsf.component.UIDataAdaptor`

### fixedChildren

    protected java.util.Iterator<javax.faces.component.UIComponent> fixedChildren()

  Specified by:
    `fixedChildren` in class `org.ajax4jsf.component.UIDataAdaptor`

### setValueExpression

    public void setValueExpression(java.lang.String name,
                                   javax.el.ValueExpression binding)

  Overrides:
    `setValueExpression` in class `javax.faces.component.UIData`

### getValueExpression

    public javax.el.ValueExpression getValueExpression(java.lang.String name)

  Overrides:
    `getValueExpression` in class `javax.faces.component.UIComponent`

### setValueBinding

    public void setValueBinding(java.lang.String name,
                                javax.faces.el.ValueBinding binding)

  Overrides:
    `setValueBinding` in class `javax.faces.component.UIData`

### getValueBinding

    public javax.faces.el.ValueBinding getValueBinding(java.lang.String name)

  Overrides:
    `getValueBinding` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.